html
  head
    title Liste
    link(rel='stylesheet', href='style.css')
  body
    if nowPlaying
      .now-playing
        li(class="medium "+nowPlaying.type)
          div.preview
            img(src=nowPlaying.thumbnail alt=nowPlaying.title)
          div.meta
            h2
              = "Now Playing: " + nowPlaying.title
            span.duration
              = nowPlaying.duration

    ul#mainlist
      li
        a(href='/stop') Stop
      li
        a(href='/play/all') Play All
      each file in files
        li(class="medium "+file.type)
          a(href='/play/'+file.basename)
            div.preview
              img(src=file.thumbnail alt=file.title)
            div.meta
              h2
                = file.title
              span.duration
                = file.duration

    p
      a(href='/stop') Stop
    form(action="/download", method="post")
      input(type="text", name="url")
      input(type="checkbox", id="preconvert" name="preconvert")
      label(for="preconvert") convert to pixelmatrix buffer
      input(type="submit", value="download")
    pre#output
      each line in outputbuffer
        = line
    
